com.unitech.lib.types

## Enum EngineParamID

- java.lang.Object
- - java.lang.Enum<EngineParamID>
  - - com.unitech.lib.types.EngineParamID

- All Implemented Interfaces:
    Serializable, Comparable<EngineParamID>

      public enum EngineParamID
      extends Enum<EngineParamID>

  The EngineParamID enum represents different types of engine parameters. Each engine parameter is associated with a unique integer value. The enum also provides methods to get the integer value of an engine parameter, and to get an engine parameter from its integer value. It also provides a method to convert an engine parameter to a ZebraParamID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AddendaTimeout`
    `AustralianPostInterpretation`
    `AustraliaPost`
    `AustraliaPostFormat`
    `Aztec`
    `AztecCodeAppend`
    `AztecCodeLengthMax`
    `AztecCodeLengthMin`
    `AztecInverse`
    `BooklandEAN`
    `BooklandISBNFormat`
    `CheckISBTTable`
    `ChinaPost`
    `ChinaPostLengthMax`
    `ChinaPostLengthMin`
    `ChinaPostRedundancy`
    `Chinese2of5`
    `CLSIEditing`
    `Codabar`
    `CodabarCheckDigit`
    `CodabarConcatenation`
    `CodabarLength1`
    `CodabarLength2`
    `CodabarLengthMax`
    `CodabarLengthMin`
    `CodabarMod16CheckDigit`
    `CodabarSecurityLevel`
    `CodabarStartStopChar`
    `CodabarStartStopCharacterCase`
    `CodablockA`
    `CodablockALengthMax`
    `CodablockALengthMin`
    `CodablockF`
    `CodablockFLengthMax`
    `CodablockFLengthMin`
    `Code11`
    `Code11CheckDigit`
    `Code11CheckDigitTransmit`
    `Code11Length1`
    `Code11Length2`
    `Code11LengthMax`
    `Code11LengthMin`
    `Code11Redundancy`
    `Code128`
    `Code128Append`
    `Code128Emulation`
    `Code128FNC4`
    `Code128Length1`
    `Code128Length2`
    `Code128LengthMax`
    `Code128LengthMin`
    `Code128ReducedQuietZone`
    `Code128Redundancy`
    `Code128SecurityLevel`
    `Code32`
    `Code32Pharmaceutical`
    `Code32Prefix`
    `Code39`
    `Code39Append`
    `Code39CheckDigit`
    `Code39CheckDigitTransmit`
    `Code39FullASCII`
    `Code39Length1`
    `Code39Length2`
    `Code39LengthMax`
    `Code39LengthMin`
    `Code39ReducedQuietZone`
    `Code39Redundancy`
    `Code39SecurityLevel`
    `Code39StartStopChar`
    `Code39UnconventionalInterCharacterGaps`
    `Code93`
    `Code93Append`
    `Code93Length1`
    `Code93Length2`
    `Code93LengthMax`
    `Code93LengthMin`
    `Code93Redundancy`
    `CompositeBeepMode`
    `CompositeCCA_B`
    `CompositeCCC`
    `CompositeInverse`
    `CompositeTLC39`
    `ContinuousBarCodeRead`
    `ConvertEAN13toISSN`
    `ConvertGS1DataBartoUPC_EAN_JAN`
    `ConvertI2of5toEAN13`
    `ConvertUPCAtoEAN13`
    `ConvertUPCE1toUPCA`
    `ConvertUPCEtoUPCA`
    `CouponGS1DataBarOutput`
    `CouponReport`
    `DataMatrix`
    `DataMatrixInverse`
    `DataMatrixLengthMax`
    `DataMatrixLengthMin`
    `DataMatrixLowContrastEnhance`
    `DecodeAimingPattern`
    `DecodeDataMatrixMirrorImages`
    `DecodeSessionTimeout`
    `DecodeUPC_EAN_JANSupplementals`
    `DecodingIllumination`
    `DigimarcBarcode`
    `DigimarcDecoderAttempts`
    `Discrete2of5`
    `Discrete2of5Length1`
    `Discrete2of5Length2`
    `DotCode`
    `DotCode_PoorQuality`
    `DotCodeInverse`
    `DotCodeLengthMax`
    `DotCodeLengthMin`
    `DotCodeMirror`
    `DotCodePrioritize`
    `EAN_JANZeroExtend`
    `EAN13_JAN13`
    `EAN13_JAN13_2DigitAddenda`
    `EAN13_JAN13_5DigitAddenda`
    `EAN13_JAN13AddendaRequired`
    `EAN13_JAN13AddendaSeparator`
    `EAN13_JAN13Begin_with_378_379AddendaRequired`
    `EAN13_JAN13Begin_with_414_419AddendaRequired`
    `EAN13_JAN13Begin_with_434_439AddendaRequired`
    `EAN13_JAN13Begin_with_977AddendaRequired`
    `EAN13_JAN13Begin_with_978AddendaRequired`
    `EAN13_JAN13Begin_with_979AddendaRequired`
    `EAN13_JAN13Beginning290AddendaRequired`
    `EAN13_JAN13CheckDigit`
    `EAN13_JAN13Redundancy`
    `EAN13_JAN13toISBNTranslate`
    `EAN8_JAN8`
    `EAN8_JAN8_2DigitAddenda`
    `EAN8_JAN8_5DigitAddenda`
    `EAN8_JAN8AddendaRequired`
    `EAN8_JAN8AddendaSeparator`
    `EAN8_JAN8CheckDigit`
    `EAN8_JAN8Redundancy`
    `EANSupplemental2`
    `EANSupplemental5`
    `EngineOrientation`
    `EscapeCharacters`
    `Febraban`
    `FebrabanC128`
    `FebrabanCheckDigit`
    `FEBRABANDecode`
    `FebrabanITF25`
    `GridMatrix`
    `GridMatrixInverse`
    `GridMatrixLengthMax`
    `GridMatrixLengthMin`
    `GridMatrixMirror`
    `GS1128`
    `GS1128LengthMax`
    `GS1128LengthMin`
    `GS1128Redundancy`
    `GS1CompositeCodeLengthMax`
    `GS1CompositeCodeLengthMin`
    `GS1CompositeCodes`
    `GS1DataBar`
    `GS1DataBarExpanded`
    `GS1DataBarExpandedLengthMax`
    `GS1DataBarExpandedLengthMin`
    `GS1DataBarExpandedRedundancy`
    `GS1DataBarExpandedSecurityLevel`
    `GS1DataBarLimited`
    `GS1DataBarLimitedMarginCheck`
    `GS1DataBarLimitedRedundancy`
    `GS1DataBarOmnidirectional`
    `GS1DataBarOmnidirectionalRedundancy`
    `GS1DataBarSecurityLevel`
    `GS1DataMatrix`
    `GS1Emulation`
    `GS1QRCode`
    `HanXin`
    `HanXinCodeLengthMax`
    `HanXinCodeLengthMin`
    `HanXinInverse`
    `I2of5ReducedQuietZone`
    `I2of5SecurityLevel`
    `Industrial2of5`
    `Industrial2of5LengthMax`
    `Industrial2of5LengthMin`
    `IntercharacterGapSize`
    `Interleaved2of5`
    `Interleaved2of5CheckDigit`
    `Interleaved2of5CheckDigitTransmit`
    `Interleaved2of5Length`
    `Interleaved2of5Length1`
    `Interleaved2of5Length2`
    `Interleaved2of5LengthMax`
    `Interleaved2of5LengthMin`
    `Inverse1D`
    `ISBT128`
    `ISBTConcatenation`
    `ISBTConcatenationRedundancy`
    `ISSNEAN`
    `JapanPostal`
    `Korean3of5`
    `KoreaPost`
    `KoreaPostCheckDigit`
    `KoreaPostLengthMax`
    `KoreaPostLengthMin`
    `LabelCode`
    `LinkedQRMode`
    `LowLightMotionDetection`
    `MacroPDF417`
    `MacroPDFSymbols`
    `Mailmark`
    `Matrix2of5`
    `Matrix2of5CheckDigit`
    `Matrix2of5CheckDigitTransmit`
    `Matrix2of5Length1`
    `Matrix2of5Length2`
    `Matrix2of5LengthMax`
    `Matrix2of5LengthMin`
    `Matrix2of5Redundancy`
    `Maxicode`
    `MaxiCodeFormat`
    `MaxiCodeLengthMax`
    `MaxiCodeLengthMin`
    `MicroPDF417`
    `MicroPDF417LengthMax`
    `MicroPDF417LengthMin`
    `MicroQR`
    `MSI`
    `MSICheckDigit`
    `MSICheckDigitAlgorithm`
    `MSICheckDigitTransmit`
    `MSILength1`
    `MSILength2`
    `MSILengthMax`
    `MSILengthMin`
    `MSIReducedQuietZone`
    `MSIRedundancy`
    `MultiDecodeMode`
    `NEC2of5`
    `NEC2of5CheckDigit`
    `NEC2of5LengthMax`
    `NEC2of5LengthMin`
    `NEC2of5Redundancy`
    `NetherlandsKIXCode`
    `NOTISEditing`
    `PDF417`
    `PDF417LengthMax`
    `PDF417LengthMin`
    `PicklistBottom`
    `PicklistLeft`
    `PicklistMode`
    `PicklistRight`
    `PicklistTop`
    `PlanetCodeCheckDigit`
    `PostnetCheckDigit`
    `QRCode`
    `QRCodeAppend`
    `QRCodeLengthMax`
    `QRCodeLengthMin`
    `QRCodeNoQuietZone`
    `QuietZoneLevel1D`
    `RedundancyLevel`
    `SecurityLevel`
    `Straight2of5IATA`
    `Straight2of5IATALengthMax`
    `Straight2of5IATALengthMin`
    `Straight2of5IATARedundancy`
    `Straight2of5Industrial`
    `Straight2of5IndustrialLengthMax`
    `Straight2of5IndustrialLengthMin`
    `Straight2of5IndustrialRedundancy`
    `Telepen`
    `TelepenLengthMax`
    `TelepenLengthMin`
    `TelepenOutput`
    `TelepenRedundancy`
    `TransmitCodabarCheckDigit`
    `TransmitCodeIDCharacter`
    `TransmitMacroPDFControlHeader`
    `TransmitNoReadMessage`
    `TriggerMode`
    `TriopticCode39`
    `TriopticRedundancy`
    `TwoDimensionalPostalCodes`
    `UCCCouponExtendedCode`
    `UKPostal`
    `UKPostalCheckDigitTransmit`
    `UPC_EAN_JANSupplementalAIMIDFormat`
    `UPC_EAN_JANSupplementalRedundancy`
    `UPC_EANVersion`
    `UPCA`
    `UPCA2DigitAddenda`
    `UPCA5DigitAddenda`
    `UPCAAddendaRequired`
    `UPCAAddendaSeparator`
    `UPCACheckDigit`
    `UPCAEAN13ExtendedCoupon`
    `UPCANumberSystem`
    `UPCAPreamble`
    `UPCARedundancy`
    `UPCCompositeMode`
    `UPCE`
    `UPCE1`
    `UPCE1CheckDigit`
    `UPCE1Preamble`
    `UPCE2DigitAddenda`
    `UPCE5DigitAddenda`
    `UPCEAddendaRequired`
    `UPCEAddendaSeparator`
    `UPCECheckDigit`
    `UPCEExpand`
    `UPCELeadingZero`
    `UPCEPreamble`
    `UPCERedundancy`
    `UPCReducedQuietZone`
    `UPUFICSPostal`
    `UserProgrammableSupplementals1`
    `UserProgrammableSupplementals2`
    `USPlanet`
    `USPostalCheckDigitTransmit`
    `USPostnet`
    `USPS4CB_OneCode_IntelligentMail`
    `WeblinkQR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EngineParamID` | `fromValue(int value)` Gets an engine parameter from its integer value.
    `int` | `getCode()` Gets the integer value of the engine parameter.
    `ZebraParamID` | `toZebraParamID()` Converts an engine parameter to a ZebraParamID.
    `int` | `value()` Gets the integer value of the engine parameter.
    `static EngineParamID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EngineParamID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPCA

          public static final EngineParamID UPCA

    - #### UPCE

          public static final EngineParamID UPCE

    - #### UPCE1

          public static final EngineParamID UPCE1

    - #### EAN8_JAN8

          public static final EngineParamID EAN8_JAN8

    - #### EAN8_JAN8CheckDigit

          public static final EngineParamID EAN8_JAN8CheckDigit

    - #### EAN13_JAN13

          public static final EngineParamID EAN13_JAN13

    - #### EAN13_JAN13CheckDigit

          public static final EngineParamID EAN13_JAN13CheckDigit

    - #### BooklandEAN

          public static final EngineParamID BooklandEAN

    - #### BooklandISBNFormat

          public static final EngineParamID BooklandISBNFormat

    - #### ISSNEAN

          public static final EngineParamID ISSNEAN

    - #### DecodeUPC_EAN_JANSupplementals

          public static final EngineParamID DecodeUPC_EAN_JANSupplementals

    - #### UserProgrammableSupplementals1

          public static final EngineParamID UserProgrammableSupplementals1

    - #### UserProgrammableSupplementals2

          public static final EngineParamID UserProgrammableSupplementals2

    - #### UPC_EAN_JANSupplementalRedundancy

          public static final EngineParamID UPC_EAN_JANSupplementalRedundancy

    - #### UPC_EAN_JANSupplementalAIMIDFormat

          public static final EngineParamID UPC_EAN_JANSupplementalAIMIDFormat

    - #### EANSupplemental2

          public static final EngineParamID EANSupplemental2

    - #### EANSupplemental5

          public static final EngineParamID EANSupplemental5

    - #### UPCACheckDigit

          public static final EngineParamID UPCACheckDigit

    - #### UPCECheckDigit

          public static final EngineParamID UPCECheckDigit

    - #### UPCE1CheckDigit

          public static final EngineParamID UPCE1CheckDigit

    - #### UPCAPreamble

          public static final EngineParamID UPCAPreamble

    - #### UPCEPreamble

          public static final EngineParamID UPCEPreamble

    - #### UPCE1Preamble

          public static final EngineParamID UPCE1Preamble

    - #### ConvertUPCEtoUPCA

          public static final EngineParamID ConvertUPCEtoUPCA

    - #### ConvertUPCE1toUPCA

          public static final EngineParamID ConvertUPCE1toUPCA

    - #### EAN_JANZeroExtend

          public static final EngineParamID EAN_JANZeroExtend

    - #### UCCCouponExtendedCode

          public static final EngineParamID UCCCouponExtendedCode

    - #### CouponReport

          public static final EngineParamID CouponReport

    - #### UPCReducedQuietZone

          public static final EngineParamID UPCReducedQuietZone

    - #### UPCANumberSystem

          public static final EngineParamID UPCANumberSystem

    - #### UPCARedundancy

          public static final EngineParamID UPCARedundancy

    - #### UPCA2DigitAddenda

          public static final EngineParamID UPCA2DigitAddenda

    - #### UPCA5DigitAddenda

          public static final EngineParamID UPCA5DigitAddenda

    - #### UPCAAddendaRequired

          public static final EngineParamID UPCAAddendaRequired

    - #### AddendaTimeout

          public static final EngineParamID AddendaTimeout

    - #### UPCAAddendaSeparator

          public static final EngineParamID UPCAAddendaSeparator

    - #### UPCAEAN13ExtendedCoupon

          public static final EngineParamID UPCAEAN13ExtendedCoupon

    - #### CouponGS1DataBarOutput

          public static final EngineParamID CouponGS1DataBarOutput

    - #### UPCEExpand

          public static final EngineParamID UPCEExpand

    - #### UPCERedundancy

          public static final EngineParamID UPCERedundancy

    - #### UPCEAddendaRequired

          public static final EngineParamID UPCEAddendaRequired

    - #### UPCEAddendaSeparator

          public static final EngineParamID UPCEAddendaSeparator

    - #### UPCELeadingZero

          public static final EngineParamID UPCELeadingZero

    - #### UPCE2DigitAddenda

          public static final EngineParamID UPCE2DigitAddenda

    - #### UPCE5DigitAddenda

          public static final EngineParamID UPCE5DigitAddenda

    - #### ConvertUPCAtoEAN13

          public static final EngineParamID ConvertUPCAtoEAN13

    - #### EAN13_JAN13Redundancy

          public static final EngineParamID EAN13_JAN13Redundancy

    - #### EAN13_JAN13_2DigitAddenda

          public static final EngineParamID EAN13_JAN13_2DigitAddenda

    - #### EAN13_JAN13_5DigitAddenda

          public static final EngineParamID EAN13_JAN13_5DigitAddenda

    - #### EAN13_JAN13AddendaRequired

          public static final EngineParamID EAN13_JAN13AddendaRequired

    - #### EAN13_JAN13Beginning290AddendaRequired

          public static final EngineParamID EAN13_JAN13Beginning290AddendaRequired

    - #### EAN13_JAN13Begin_with_378_379AddendaRequired

          public static final EngineParamID EAN13_JAN13Begin_with_378_379AddendaRequired

    - #### EAN13_JAN13Begin_with_414_419AddendaRequired

          public static final EngineParamID EAN13_JAN13Begin_with_414_419AddendaRequired

    - #### EAN13_JAN13Begin_with_434_439AddendaRequired

          public static final EngineParamID EAN13_JAN13Begin_with_434_439AddendaRequired

    - #### EAN13_JAN13Begin_with_977AddendaRequired

          public static final EngineParamID EAN13_JAN13Begin_with_977AddendaRequired

    - #### EAN13_JAN13Begin_with_978AddendaRequired

          public static final EngineParamID EAN13_JAN13Begin_with_978AddendaRequired

    - #### EAN13_JAN13Begin_with_979AddendaRequired

          public static final EngineParamID EAN13_JAN13Begin_with_979AddendaRequired

    - #### EAN13_JAN13AddendaSeparator

          public static final EngineParamID EAN13_JAN13AddendaSeparator

    - #### EAN13_JAN13toISBNTranslate

          public static final EngineParamID EAN13_JAN13toISBNTranslate

    - #### EAN8_JAN8Redundancy

          public static final EngineParamID EAN8_JAN8Redundancy

    - #### EAN8_JAN8_2DigitAddenda

          public static final EngineParamID EAN8_JAN8_2DigitAddenda

    - #### EAN8_JAN8_5DigitAddenda

          public static final EngineParamID EAN8_JAN8_5DigitAddenda

    - #### EAN8_JAN8AddendaRequired

          public static final EngineParamID EAN8_JAN8AddendaRequired

    - #### EAN8_JAN8AddendaSeparator

          public static final EngineParamID EAN8_JAN8AddendaSeparator

    - #### UPC_EANVersion

          public static final EngineParamID UPC_EANVersion

    - #### Code128

          public static final EngineParamID Code128

    - #### Code128Length1

          public static final EngineParamID Code128Length1

    - #### Code128Length2

          public static final EngineParamID Code128Length2

    - #### GS1128

          public static final EngineParamID GS1128

    - #### ISBT128

          public static final EngineParamID ISBT128

    - #### ISBTConcatenation

          public static final EngineParamID ISBTConcatenation

    - #### CheckISBTTable

          public static final EngineParamID CheckISBTTable

    - #### ISBTConcatenationRedundancy

          public static final EngineParamID ISBTConcatenationRedundancy

    - #### Code128FNC4

          public static final EngineParamID Code128FNC4

    - #### Code128SecurityLevel

          public static final EngineParamID Code128SecurityLevel

    - #### Code128ReducedQuietZone

          public static final EngineParamID Code128ReducedQuietZone

    - #### Code128LengthMin

          public static final EngineParamID Code128LengthMin

    - #### Code128LengthMax

          public static final EngineParamID Code128LengthMax

    - #### Code128Append

          public static final EngineParamID Code128Append

    - #### Code128Redundancy

          public static final EngineParamID Code128Redundancy

    - #### GS1128LengthMin

          public static final EngineParamID GS1128LengthMin

    - #### GS1128LengthMax

          public static final EngineParamID GS1128LengthMax

    - #### GS1128Redundancy

          public static final EngineParamID GS1128Redundancy

    - #### Code39

          public static final EngineParamID Code39

    - #### TriopticCode39

          public static final EngineParamID TriopticCode39

    - #### Code32Pharmaceutical

          public static final EngineParamID Code32Pharmaceutical

    - #### Code32Prefix

          public static final EngineParamID Code32Prefix

    - #### Code39Length1

          public static final EngineParamID Code39Length1

    - #### Code39Length2

          public static final EngineParamID Code39Length2

    - #### Code39CheckDigit

          public static final EngineParamID Code39CheckDigit

    - #### Code39CheckDigitTransmit

          public static final EngineParamID Code39CheckDigitTransmit

    - #### Code39FullASCII

          public static final EngineParamID Code39FullASCII

    - #### Code39SecurityLevel

          public static final EngineParamID Code39SecurityLevel

    - #### Code39ReducedQuietZone

          public static final EngineParamID Code39ReducedQuietZone

    - #### Code39LengthMin

          public static final EngineParamID Code39LengthMin

    - #### Code39LengthMax

          public static final EngineParamID Code39LengthMax

    - #### Code39StartStopChar

          public static final EngineParamID Code39StartStopChar

    - #### Code39Redundancy

          public static final EngineParamID Code39Redundancy

    - #### Code39Append

          public static final EngineParamID Code39Append

    - #### Code39UnconventionalInterCharacterGaps

          public static final EngineParamID Code39UnconventionalInterCharacterGaps

    - #### TriopticRedundancy

          public static final EngineParamID TriopticRedundancy

    - #### Code93

          public static final EngineParamID Code93

    - #### Code93Length1

          public static final EngineParamID Code93Length1

    - #### Code93Length2

          public static final EngineParamID Code93Length2

    - #### Code93LengthMin

          public static final EngineParamID Code93LengthMin

    - #### Code93LengthMax

          public static final EngineParamID Code93LengthMax

    - #### Code93Redundancy

          public static final EngineParamID Code93Redundancy

    - #### Code93Append

          public static final EngineParamID Code93Append

    - #### Code11

          public static final EngineParamID Code11

    - #### Code11Length1

          public static final EngineParamID Code11Length1

    - #### Code11Length2

          public static final EngineParamID Code11Length2

    - #### Code11CheckDigit

          public static final EngineParamID Code11CheckDigit

    - #### Code11CheckDigitTransmit

          public static final EngineParamID Code11CheckDigitTransmit

    - #### Code11LengthMin

          public static final EngineParamID Code11LengthMin

    - #### Code11LengthMax

          public static final EngineParamID Code11LengthMax

    - #### Code11Redundancy

          public static final EngineParamID Code11Redundancy

    - #### Interleaved2of5

          public static final EngineParamID Interleaved2of5

    - #### Interleaved2of5Length1

          public static final EngineParamID Interleaved2of5Length1

    - #### Interleaved2of5Length2

          public static final EngineParamID Interleaved2of5Length2

    - #### Interleaved2of5CheckDigit

          public static final EngineParamID Interleaved2of5CheckDigit

    - #### Interleaved2of5CheckDigitTransmit

          public static final EngineParamID Interleaved2of5CheckDigitTransmit

    - #### ConvertI2of5toEAN13

          public static final EngineParamID ConvertI2of5toEAN13

    - #### I2of5SecurityLevel

          public static final EngineParamID I2of5SecurityLevel

    - #### I2of5ReducedQuietZone

          public static final EngineParamID I2of5ReducedQuietZone

    - #### Interleaved2of5LengthMin

          public static final EngineParamID Interleaved2of5LengthMin

    - #### Interleaved2of5LengthMax

          public static final EngineParamID Interleaved2of5LengthMax

    - #### Discrete2of5

          public static final EngineParamID Discrete2of5

    - #### Discrete2of5Length1

          public static final EngineParamID Discrete2of5Length1

    - #### Discrete2of5Length2

          public static final EngineParamID Discrete2of5Length2

    - #### Codabar

          public static final EngineParamID Codabar

    - #### CodabarLength1

          public static final EngineParamID CodabarLength1

    - #### CodabarLength2

          public static final EngineParamID CodabarLength2

    - #### CLSIEditing

          public static final EngineParamID CLSIEditing

    - #### NOTISEditing

          public static final EngineParamID NOTISEditing

    - #### CodabarStartStopCharacterCase

          public static final EngineParamID CodabarStartStopCharacterCase

    - #### CodabarSecurityLevel

          public static final EngineParamID CodabarSecurityLevel

    - #### CodabarLengthMin

          public static final EngineParamID CodabarLengthMin

    - #### CodabarLengthMax

          public static final EngineParamID CodabarLengthMax

    - #### CodabarStartStopChar

          public static final EngineParamID CodabarStartStopChar

    - #### CodabarCheckDigit

          public static final EngineParamID CodabarCheckDigit

    - #### CodabarConcatenation

          public static final EngineParamID CodabarConcatenation

    - #### CodablockA

          public static final EngineParamID CodablockA

    - #### CodablockALengthMin

          public static final EngineParamID CodablockALengthMin

    - #### CodablockALengthMax

          public static final EngineParamID CodablockALengthMax

    - #### CodablockF

          public static final EngineParamID CodablockF

    - #### CodablockFLengthMin

          public static final EngineParamID CodablockFLengthMin

    - #### CodablockFLengthMax

          public static final EngineParamID CodablockFLengthMax

    - #### MSI

          public static final EngineParamID MSI

    - #### MSILength1

          public static final EngineParamID MSILength1

    - #### MSILength2

          public static final EngineParamID MSILength2

    - #### MSICheckDigit

          public static final EngineParamID MSICheckDigit

    - #### MSICheckDigitTransmit

          public static final EngineParamID MSICheckDigitTransmit

    - #### MSICheckDigitAlgorithm

          public static final EngineParamID MSICheckDigitAlgorithm

    - #### MSIReducedQuietZone

          public static final EngineParamID MSIReducedQuietZone

    - #### MSILengthMin

          public static final EngineParamID MSILengthMin

    - #### MSILengthMax

          public static final EngineParamID MSILengthMax

    - #### MSIRedundancy

          public static final EngineParamID MSIRedundancy

    - #### Chinese2of5

          public static final EngineParamID Chinese2of5

    - #### Korean3of5

          public static final EngineParamID Korean3of5

    - #### Matrix2of5

          public static final EngineParamID Matrix2of5

    - #### Matrix2of5Length1

          public static final EngineParamID Matrix2of5Length1

    - #### Matrix2of5Length2

          public static final EngineParamID Matrix2of5Length2

    - #### Matrix2of5Redundancy

          public static final EngineParamID Matrix2of5Redundancy

    - #### Matrix2of5CheckDigit

          public static final EngineParamID Matrix2of5CheckDigit

    - #### Matrix2of5CheckDigitTransmit

          public static final EngineParamID Matrix2of5CheckDigitTransmit

    - #### Matrix2of5LengthMin

          public static final EngineParamID Matrix2of5LengthMin

    - #### Matrix2of5LengthMax

          public static final EngineParamID Matrix2of5LengthMax

    - #### Inverse1D

          public static final EngineParamID Inverse1D

    - #### GS1DataBar

          public static final EngineParamID GS1DataBar

    - #### GS1DataBarLimited

          public static final EngineParamID GS1DataBarLimited

    - #### GS1DataBarExpanded

          public static final EngineParamID GS1DataBarExpanded

    - #### ConvertGS1DataBartoUPC_EAN_JAN

          public static final EngineParamID ConvertGS1DataBartoUPC_EAN_JAN

    - #### GS1DataBarSecurityLevel

          public static final EngineParamID GS1DataBarSecurityLevel

    - #### GS1DataBarLimitedMarginCheck

          public static final EngineParamID GS1DataBarLimitedMarginCheck

    - #### GS1DataBarExpandedSecurityLevel

          public static final EngineParamID GS1DataBarExpandedSecurityLevel

    - #### GS1DataBarOmnidirectional

          public static final EngineParamID GS1DataBarOmnidirectional

    - #### GS1DataBarOmnidirectionalRedundancy

          public static final EngineParamID GS1DataBarOmnidirectionalRedundancy

    - #### GS1DataBarLimitedRedundancy

          public static final EngineParamID GS1DataBarLimitedRedundancy

    - #### GS1DataBarExpandedLengthMin

          public static final EngineParamID GS1DataBarExpandedLengthMin

    - #### GS1DataBarExpandedLengthMax

          public static final EngineParamID GS1DataBarExpandedLengthMax

    - #### GS1DataBarExpandedRedundancy

          public static final EngineParamID GS1DataBarExpandedRedundancy

    - #### RedundancyLevel

          public static final EngineParamID RedundancyLevel

    - #### SecurityLevel

          public static final EngineParamID SecurityLevel

    - #### QuietZoneLevel1D

          public static final EngineParamID QuietZoneLevel1D

    - #### IntercharacterGapSize

          public static final EngineParamID IntercharacterGapSize

    - #### EscapeCharacters

          public static final EngineParamID EscapeCharacters

    - #### CompositeCCC

          public static final EngineParamID CompositeCCC

    - #### CompositeCCA_B

          public static final EngineParamID CompositeCCA_B

    - #### CompositeTLC39

          public static final EngineParamID CompositeTLC39

    - #### CompositeInverse

          public static final EngineParamID CompositeInverse

    - #### UPCCompositeMode

          public static final EngineParamID UPCCompositeMode

    - #### CompositeBeepMode

          public static final EngineParamID CompositeBeepMode

    - #### GS1Emulation

          public static final EngineParamID GS1Emulation

    - #### GS1CompositeCodes

          public static final EngineParamID GS1CompositeCodes

    - #### GS1CompositeCodeLengthMin

          public static final EngineParamID GS1CompositeCodeLengthMin

    - #### GS1CompositeCodeLengthMax

          public static final EngineParamID GS1CompositeCodeLengthMax

    - #### PDF417

          public static final EngineParamID PDF417

    - #### MicroPDF417

          public static final EngineParamID MicroPDF417

    - #### Code128Emulation

          public static final EngineParamID Code128Emulation

    - #### DataMatrix

          public static final EngineParamID DataMatrix

    - #### DataMatrixInverse

          public static final EngineParamID DataMatrixInverse

    - #### DecodeDataMatrixMirrorImages

          public static final EngineParamID DecodeDataMatrixMirrorImages

    - #### GS1DataMatrix

          public static final EngineParamID GS1DataMatrix

    - #### Maxicode

          public static final EngineParamID Maxicode

    - #### QRCode

          public static final EngineParamID QRCode

    - #### MicroQR

          public static final EngineParamID MicroQR

    - #### GS1QRCode

          public static final EngineParamID GS1QRCode

    - #### LinkedQRMode

          public static final EngineParamID LinkedQRMode

    - #### Aztec

          public static final EngineParamID Aztec

    - #### AztecInverse

          public static final EngineParamID AztecInverse

    - #### HanXin

          public static final EngineParamID HanXin

    - #### HanXinInverse

          public static final EngineParamID HanXinInverse

    - #### GridMatrix

          public static final EngineParamID GridMatrix

    - #### GridMatrixInverse

          public static final EngineParamID GridMatrixInverse

    - #### GridMatrixMirror

          public static final EngineParamID GridMatrixMirror

    - #### DotCode

          public static final EngineParamID DotCode

    - #### DotCodeInverse

          public static final EngineParamID DotCodeInverse

    - #### DotCodeMirror

          public static final EngineParamID DotCodeMirror

    - #### DotCodePrioritize

          public static final EngineParamID DotCodePrioritize

    - #### EngineOrientation

          public static final EngineParamID EngineOrientation

    - #### ContinuousBarCodeRead

          public static final EngineParamID ContinuousBarCodeRead

    - #### DotCode_PoorQuality

          public static final EngineParamID DotCode_PoorQuality

    - #### DotCodeLengthMin

          public static final EngineParamID DotCodeLengthMin

    - #### DotCodeLengthMax

          public static final EngineParamID DotCodeLengthMax

    - #### PDF417LengthMin

          public static final EngineParamID PDF417LengthMin

    - #### PDF417LengthMax

          public static final EngineParamID PDF417LengthMax

    - #### MacroPDF417

          public static final EngineParamID MacroPDF417

    - #### MicroPDF417LengthMin

          public static final EngineParamID MicroPDF417LengthMin

    - #### MicroPDF417LengthMax

          public static final EngineParamID MicroPDF417LengthMax

    - #### DataMatrixLengthMin

          public static final EngineParamID DataMatrixLengthMin

    - #### DataMatrixLengthMax

          public static final EngineParamID DataMatrixLengthMax

    - #### AztecCodeLengthMin

          public static final EngineParamID AztecCodeLengthMin

    - #### AztecCodeLengthMax

          public static final EngineParamID AztecCodeLengthMax

    - #### AztecCodeAppend

          public static final EngineParamID AztecCodeAppend

    - #### HanXinCodeLengthMin

          public static final EngineParamID HanXinCodeLengthMin

    - #### HanXinCodeLengthMax

          public static final EngineParamID HanXinCodeLengthMax

    - #### GridMatrixLengthMin

          public static final EngineParamID GridMatrixLengthMin

    - #### GridMatrixLengthMax

          public static final EngineParamID GridMatrixLengthMax

    - #### MaxiCodeFormat

          public static final EngineParamID MaxiCodeFormat

    - #### MaxiCodeLengthMin

          public static final EngineParamID MaxiCodeLengthMin

    - #### MaxiCodeLengthMax

          public static final EngineParamID MaxiCodeLengthMax

    - #### QRCodeLengthMin

          public static final EngineParamID QRCodeLengthMin

    - #### QRCodeLengthMax

          public static final EngineParamID QRCodeLengthMax

    - #### QRCodeAppend

          public static final EngineParamID QRCodeAppend

    - #### QRCodeNoQuietZone

          public static final EngineParamID QRCodeNoQuietZone

    - #### DataMatrixLowContrastEnhance

          public static final EngineParamID DataMatrixLowContrastEnhance

    - #### USPostnet

          public static final EngineParamID USPostnet

    - #### USPlanet

          public static final EngineParamID USPlanet

    - #### USPostalCheckDigitTransmit

          public static final EngineParamID USPostalCheckDigitTransmit

    - #### UKPostal

          public static final EngineParamID UKPostal

    - #### UKPostalCheckDigitTransmit

          public static final EngineParamID UKPostalCheckDigitTransmit

    - #### JapanPostal

          public static final EngineParamID JapanPostal

    - #### AustraliaPost

          public static final EngineParamID AustraliaPost

    - #### AustraliaPostFormat

          public static final EngineParamID AustraliaPostFormat

    - #### NetherlandsKIXCode

          public static final EngineParamID NetherlandsKIXCode

    - #### USPS4CB_OneCode_IntelligentMail

          public static final EngineParamID USPS4CB_OneCode_IntelligentMail

    - #### UPUFICSPostal

          public static final EngineParamID UPUFICSPostal

    - #### TwoDimensionalPostalCodes

          public static final EngineParamID TwoDimensionalPostalCodes

    - #### PlanetCodeCheckDigit

          public static final EngineParamID PlanetCodeCheckDigit

    - #### PostnetCheckDigit

          public static final EngineParamID PostnetCheckDigit

    - #### AustralianPostInterpretation

          public static final EngineParamID AustralianPostInterpretation

    - #### ChinaPost

          public static final EngineParamID ChinaPost

    - #### ChinaPostLengthMin

          public static final EngineParamID ChinaPostLengthMin

    - #### ChinaPostLengthMax

          public static final EngineParamID ChinaPostLengthMax

    - #### ChinaPostRedundancy

          public static final EngineParamID ChinaPostRedundancy

    - #### KoreaPost

          public static final EngineParamID KoreaPost

    - #### KoreaPostLengthMin

          public static final EngineParamID KoreaPostLengthMin

    - #### KoreaPostLengthMax

          public static final EngineParamID KoreaPostLengthMax

    - #### KoreaPostCheckDigit

          public static final EngineParamID KoreaPostCheckDigit

    - #### FEBRABANDecode

          public static final EngineParamID FEBRABANDecode

    - #### NEC2of5

          public static final EngineParamID NEC2of5

    - #### NEC2of5CheckDigit

          public static final EngineParamID NEC2of5CheckDigit

    - #### NEC2of5LengthMin

          public static final EngineParamID NEC2of5LengthMin

    - #### NEC2of5LengthMax

          public static final EngineParamID NEC2of5LengthMax

    - #### NEC2of5Redundancy

          public static final EngineParamID NEC2of5Redundancy

    - #### Straight2of5Industrial

          public static final EngineParamID Straight2of5Industrial

    - #### Straight2of5IndustrialLengthMin

          public static final EngineParamID Straight2of5IndustrialLengthMin

    - #### Straight2of5IndustrialLengthMax

          public static final EngineParamID Straight2of5IndustrialLengthMax

    - #### Straight2of5IndustrialRedundancy

          public static final EngineParamID Straight2of5IndustrialRedundancy

    - #### Straight2of5IATA

          public static final EngineParamID Straight2of5IATA

    - #### Straight2of5IATALengthMin

          public static final EngineParamID Straight2of5IATALengthMin

    - #### Straight2of5IATALengthMax

          public static final EngineParamID Straight2of5IATALengthMax

    - #### Straight2of5IATARedundancy

          public static final EngineParamID Straight2of5IATARedundancy

    - #### Telepen

          public static final EngineParamID Telepen

    - #### TelepenOutput

          public static final EngineParamID TelepenOutput

    - #### TelepenLengthMin

          public static final EngineParamID TelepenLengthMin

    - #### TelepenLengthMax

          public static final EngineParamID TelepenLengthMax

    - #### TelepenRedundancy

          public static final EngineParamID TelepenRedundancy

    - #### LabelCode

          public static final EngineParamID LabelCode

    - #### DigimarcDecoderAttempts

          public static final EngineParamID DigimarcDecoderAttempts

    - #### DigimarcBarcode

          public static final EngineParamID DigimarcBarcode

    - #### Code32

          public static final EngineParamID Code32

    - #### Interleaved2of5Length

          public static final EngineParamID Interleaved2of5Length

    - #### Industrial2of5

          public static final EngineParamID Industrial2of5

    - #### Industrial2of5LengthMin

          public static final EngineParamID Industrial2of5LengthMin

    - #### Industrial2of5LengthMax

          public static final EngineParamID Industrial2of5LengthMax

    - #### ConvertEAN13toISSN

          public static final EngineParamID ConvertEAN13toISSN

    - #### FebrabanITF25

          public static final EngineParamID FebrabanITF25

    - #### FebrabanC128

          public static final EngineParamID FebrabanC128

    - #### FebrabanCheckDigit

          public static final EngineParamID FebrabanCheckDigit

    - #### Febraban

          public static final EngineParamID Febraban

    - #### CodabarMod16CheckDigit

          public static final EngineParamID CodabarMod16CheckDigit

    - #### TransmitCodabarCheckDigit

          public static final EngineParamID TransmitCodabarCheckDigit

    - #### MacroPDFSymbols

          public static final EngineParamID MacroPDFSymbols

    - #### TransmitMacroPDFControlHeader

          public static final EngineParamID TransmitMacroPDFControlHeader

    - #### Mailmark

          public static final EngineParamID Mailmark

    - #### PicklistMode

          public static final EngineParamID PicklistMode

    - #### DecodingIllumination

          public static final EngineParamID DecodingIllumination

    - #### DecodeAimingPattern

          public static final EngineParamID DecodeAimingPattern

    - #### MultiDecodeMode

          public static final EngineParamID MultiDecodeMode

    - #### TriggerMode

          public static final EngineParamID TriggerMode

    - #### DecodeSessionTimeout

          public static final EngineParamID DecodeSessionTimeout

    - #### LowLightMotionDetection

          public static final EngineParamID LowLightMotionDetection

    - #### TransmitCodeIDCharacter

          public static final EngineParamID TransmitCodeIDCharacter

    - #### TransmitNoReadMessage

          public static final EngineParamID TransmitNoReadMessage

    - #### PicklistTop

          public static final EngineParamID PicklistTop

    - #### PicklistBottom

          public static final EngineParamID PicklistBottom

    - #### PicklistLeft

          public static final EngineParamID PicklistLeft

    - #### PicklistRight

          public static final EngineParamID PicklistRight

    - #### WeblinkQR

          public static final EngineParamID WeblinkQR

  - ### Method Detail

    - #### values

          public static EngineParamID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EngineParamID c : EngineParamID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EngineParamID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Gets the integer value of the engine parameter.
      Returns:
        The integer value of the engine parameter.

    - #### getCode

          public int getCode()

      Gets the integer value of the engine parameter.
      Returns:
        The integer value of the engine parameter.

    - #### fromValue

          public static EngineParamID fromValue(int value)
                                         throws IllegalArgumentException

      Gets an engine parameter from its integer value.
      Parameters:
        `value` - The integer value of the engine parameter.
      Returns:
        The engine parameter associated with the integer value.
      Throws:
        `IllegalArgumentException` - If the integer value does not correspond to any engine parameter.

    - #### toZebraParamID

          public ZebraParamID toZebraParamID()

      Converts an engine parameter to a ZebraParamID.
      Returns:
        The ZebraParamID associated with the engine parameter.
      Throws:
        `IllegalArgumentException` - If the engine parameter does not correspond to any ZebraParamID.